Retrieve all subscribers to an email list.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/email/lists/{emailListUid}/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/email/lists/{emailListUid}/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/email/lists/{emailListUid}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"WelcomeSubject": "string",
"WelcomeBody": "string",
"WelcomeFromName": "string",
"WelcomeFromEmail": "string",
"RequiresDoubleOptIn": false,
"IsInternal": false,
"EmailListPerson": [],
"FieldConfigurationDataJSON": "string",
"CountSubscriptionsActive": 0,
"CountSubscriptionsBounce": 0,
"CountSubscriptionsNotConfirmed": 0,
"CountSubscriptionsSpam": 0,
"CountSubscriptionsUnsubscribed": 0
},
"Person": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
]Email lists
Retrieve all subscribers to an email list.
GET
/
api
/
v1
/
email
/
lists
/
{emailListUid}
/
subscriptions
Retrieve all subscribers to an email list.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The email list's unique identifier
Query Parameters
Matches person's first name or last name or email address.
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Show child attributes
Show child attributes
Circular reference to Person (not expanded here).
1 - Subscribed, 2 - Unsubscribed, 3 - Cleaned, 4 - Confirmed
Available options:
1, 2, 3, 4 Required range:
1 <= x <= 4Maximum string length:
500Maximum string length:
20Example:
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"WelcomeSubject": "string",
"WelcomeBody": "string",
"WelcomeFromName": "string",
"WelcomeFromEmail": "string",
"RequiresDoubleOptIn": false,
"IsInternal": false,
"EmailListPerson": [],
"FieldConfigurationDataJSON": "string",
"CountSubscriptionsActive": 0,
"CountSubscriptionsBounce": 0,
"CountSubscriptionsNotConfirmed": 0,
"CountSubscriptionsSpam": 0,
"CountSubscriptionsUnsubscribed": 0
},
"Person": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
]
⌘I